- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.answerRecords/list#try-it)

Returns the list of all answer records in the specified project in reverse chronological order.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v2beta1/{parent=projects/*/locations/*}/answerRecords`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v2beta1/{parent=projects/*/locations/*}/answerRecords`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project to list all answer records for in reverse chronological order. Format: `projects/<Project ID>/locations/<Location ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.answerrecords.list` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. Filters to restrict results to specific answer records. The expression has the following syntax: \[AND \] ... The following fields and operators are supported: \* conversationId with equals(=) operator Examples: - "conversationId=bar" matches answer records in the projects/foo/locations/global/conversations/bar conversation (assuming the parent is projects/foo/locations/global). For more information about filtering, see [API Filtering](https://aip.dev/160). |
| `pageSize` | `integer` Optional. The maximum number of records to return in a single page. The server may return fewer records than this. If unspecified, we use 10. The maximum is 100. |
| `pageToken` | `string` Optional. The `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/ListAnswerRecordsResponse#FIELDS.next_page_token` value returned from a previous list request used to continue listing on the next page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/ListAnswerRecordsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).